/* contact/2 installation script v1.30 */

if rxfuncquery('SysLoadFuncs') then do
 call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
 call SysLoadFuncs
end

/* Get curent directory */
InstDir = directory()

say "Creating WPS objects..."

rc=SysCreateObject('WPFolder',,
'Contact/2',,
'<WP_DESKTOP>',,
'OBJECTID=<CONTACT2FOLDER>;'||,
'ALWAYSSORT=YES;'||,
'ICONFILE='||InstDir||'\confold1.ico;'||,
'ICONNFILE=1,'||InstDir||'\confold2.ico;',,
'Update' )

Call SysCreateObject 'WPProgram', 'Contact/2 Guide (dt.)', '<CONTACT2FOLDER>', 'OBJECTID=<gcontact2inf>;EXENAME=view.exe;STARTUPDIR='||InstDir||';PARAMETERS=gcontact.inf;PROGTYPE=PM', 'Update'
Call SysCreateObject 'WPProgram', 'Contact/2 Guide (engl.)', '<CONTACT2FOLDER>', 'OBJECTID=<econtact2inf>;EXENAME=view.exe;STARTUPDIR='||InstDir||';PARAMETERS=econtact.inf;PROGTYPE=PM', 'Update'
Call SysCreateObject 'WPProgram', 'Contact/2', '<CONTACT2FOLDER>', 'OBJECTID=<contact2exe>;EXENAME='||InstDir||'\contact.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM', 'Update'
Call SysCreateObject 'WPUrl', 'SubSys homepage', '<CONTACT2FOLDER>', 'OBJECTID=<contact2www>;URL=http://www.subsys.de/contact/', 'Update'

say "done."